summaryrefslogtreecommitdiff
path: root/src/fix-install-headers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/fix-install-headers.sh')
-rwxr-xr-xsrc/fix-install-headers.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/src/fix-install-headers.sh b/src/fix-install-headers.sh
index a1f15996a..39d8bc663 100755
--- a/src/fix-install-headers.sh
+++ b/src/fix-install-headers.sh
@@ -1,5 +1,7 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+set -e -o pipefail
dir=$1
-find "$dir/include/cvc4/" -type f | \
- xargs sed -i 's/include.*"\(.*\)"/include <cvc4\/\1>/'
+find "$dir/include/cvc4/" -type f \
+ -exec sed -i'' -e 's/include.*"\(.*\)"/include <cvc4\/\1>/' {} +
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback